Subject: Re: [PATCH 1/9] powerpc/44x: Add PowerPC 44x simple platform support

From: Roland Dreier <[email-masked]>
Date: Wed, 20 Aug 2008 14:15:02 -0700

> > Yeah, I wasn't clear -- I meant to add a new helper like
 > > of_flat_dt_is_compatible_list() (not sure of the name) that takes a node
 > > and a NULL-terminated array of strings, and then mpc5200_simple_probe()
 > > can become a one-liner, along with mpc5121_generic_probe(),
 > > tqm85xx_probe(), ppc44x_probe(), etc.

 > I worry about doing that though.  I don't want to give people the
 > impression that these boards are "of" compatible.  I want it to be more
 > "this file supports these explicit platforms and makes no claim on
 > compatibility between them".

It's no big deal really -- just my knee-jerk reaction to seeing a
comment like "this should also be fixed in some other place because I
copied the code from there."  My reaction to that is always, "why not
use one common copy of the code then?"

You could call it something like of_flat_dt_match_list() if that makes
more sense to you.  Or just copy the for loop around, it's not much code.

 - R.